Bug 401681 - Add filtering flags to png_read_png in png2theora
Summary: Add filtering flags to png_read_png in png2theora
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libtheora (Show other bugs)
(Show other bugs)
Version: 8
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-27 19:20 UTC by Eric Sandeen
Modified: 2007-12-03 08:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-29 20:35:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eric Sandeen 2007-11-27 19:20:47 UTC
The latest version of png2theora
(https://svn.xiph.org/trunk/theora/examples/png2theora.c) adds a few filtering
flags when it opens pngs:

png_read_png(png_ptr, info_ptr, PNG_TRANSFORM_STRIP_16 |
    PNG_TRANSFORM_STRIP_ALPHA | PNG_TRANSFORM_PACKING, NULL);

This actually makes png2theora work for my needs (making seekwatcher movies for
IO visualization) - could this be backported to our package?

Thanks to Chris for finding this solution...

Thanks,

-Eric

Comment 1 Hans de Goede 2007-11-29 20:35:31 UTC
libtheora-1.0beta2-3, which fixes this is on its way to a rawhide near you.

I do not believe this warrants an F-8 update, but if you have compelling
arguments let me know.


Comment 2 Eric Sandeen 2007-11-29 20:45:13 UTC
Thanks Hans - I'd like to see this in F8 so that I can put movie-capable
seekwatcher into F8... it's not critical, but it was my original motivation for
filing this bug.  :)

Thanks,
-Eric

Comment 3 Hans de Goede 2007-11-29 21:54:25 UTC
(In reply to comment #2)
> Thanks Hans - I'd like to see this in F8 so that I can put movie-capable
> seekwatcher into F8... it's not critical, but it was my original motivation for
> filing this bug.  :)
> 

Ah, so fixing this is needed to update another package, well thats a valid
argument, but first bug 402551 needs to be fixed, as currently libtheora can't
even build, so it isn't on its way to rawhide after all (build failed), see bug
402551.


Comment 4 Eric Sandeen 2007-11-29 22:16:48 UTC
Well, the seekwatcher package doesn't exist yet... it's pending a solution for
the movie-generation, then I can finish up the review & put it in.  If that
affects your decision.  :)

Thanks,
-Eric

Comment 5 Hans de Goede 2007-12-03 08:38:15 UTC
libtheora-1.0beta2-3.fc8 has been pushed to the Fedora 8 testing repository.  If
problems still persist, please make note of it in this bug report.

If you want to test the update, you can install it with 
su -c 'yum --enablerepo=updates-testing update libtheora'



Note You need to log in before you can comment on or make changes to this bug.